Remotehost Docs
API ReferenceAgent sessions

List a project's agent sessions

GET
/projects/{projectId}/agent-sessions

Authorization

bearerAuth
AuthorizationBearer <token>

A RemoteHost API key (rh_sk_...) or a user session token.

In: header

Path Parameters

projectId*string
Formatuuid

Query Parameters

orgId*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/agent-sessions?orgId=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "sessions": [    {      "id": "string",      "org_id": "string",      "project_id": "string",      "sandbox_id": "string",      "agent": "string",      "agent_label": "string",      "status": "active",      "vendor_session_id": "string",      "last_activity_at": "string",      "property1": null,      "property2": null    }  ]}